Subject: [dnsop] DOP #4: zone transfer propagation speed

From: "Olaf M. Kolkman" <[email-masked]>
Date: Mon, 13 Jun 2005 14:16:14 +0200

Also see thread starting at:
  http://darkwing.uoregon.edu/~llynch/dnsop/msg03465.html

In a discussion between Olaf and Ed, Ed was the last to reply: 
> >
> >>  It might be good to note that
> >>  the time from master to slave is negligible when using NOTIFY and IXFR,
> >>  increasing by reliance on AXFR, and more if you rely on the SOA timing
> >>  parameters for zone refresh.  (Non-standard means of zone transfers have
> >>  other timing concerns.)  When it comes to freshness of data within caches,
> >>  the TTL is the only pertinent parameter, with a shorter setting increasing
> >>  freshness at the cost of fewer cache "hits."
> >
> >I propose to modify the 3rd paragraph of section 2 by appending your
> >text:
> >
> >    Administrators of secured zones will have to keep in mind that data
> >    published on an authoritative primary server will not be
> >    immediately seen by verifying clients; it may take some time for
> >    the data to be transfered to other secondary authoritative
> >    nameservers and clients may be fetching data from caching
> >    non-authoritative servers. In this light ist is good to note that
> >    the time from master to slave is negligible when using NOTIFY and
> >    IXFR, increasing by reliance on AXFR, and more if you rely on the
> >    SOA timing parameters for zone refresh.
> 
> s/ist/it/ - in there somewhere.  Any other comments?
>

Not me, if nobody else replies this will be the text. 
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html

---

From: "Scott Rose" <[email-masked]>
Date: Mon, 13 Jun 2005 10:12:51 -0400

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Olaf M. Kolkman
> > >

Besides the spelling change, I have none.  However, it sounds like this is
flirting with a recommendation of using NOTIFY and IXFR, but not actually
stating it.  Is there a downside of recommending NOTIFY?  Or is that a level
of recommendations that is not the goal of this document?

Scott

.

---

From: Edward Lewis <[email-masked]>
Date: Mon, 13 Jun 2005 11:07:55 -0400

>of recommendations that is not the goal of this document?

I think/believe that the statements regarding NOTIFY, IXFR, and AXFR 
are just reflecting "fact" and are not making any recommendation.

On the one hand, I would recommend NOTIFY/IXFR over AXFR and over SOA 
timing parameters *in general*.  But that isn't needed here, nor what 
I meant to suggest.

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                                +1-571-434-5468
NeuStar

If you knew what I was thinking, you'd understand what I was saying.
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html